- Qt 5.15
- Qt GUI
- C++ Classes
- QBrush
- Qt 5.15.19 Reference Documentation

# Obsolete Members for QBrush

The following members of class QBrush are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(obsolete)` const QMatrix & | matrix() const
`(obsolete)` void | setMatrix(const QMatrix &matrix)

## Member Function Documentation

### const QMatrix &QBrush::matrix() const

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Use transform() instead.

Returns the current transformation matrix for the brush.

This function was introduced in Qt 4.2.

See also setMatrix().

### void QBrush::setMatrix(const QMatrix &matrix)

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Use setTransform() instead.

Sets matrix as an explicit transformation matrix on the current brush. The brush transformation matrix is merged with QPainter transformation matrix to produce the final result.

This function was introduced in Qt 4.2.

See also matrix().